Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.thread
Interface ThreadPool

All Known Implementing Classes:
  BoundedThreadPool, IO, QueuedThreadPool, ThreadPool

    public interface ThreadPool

ThreadPool.

Author:
  gregw

Method Summary
`boolean` | `dispatch(java.lang.Runnable job)`
`int` | `getIdleThreads()`
`int` | `getThreads()`
`boolean` | `isLowOnThreads()`
`void` | `join()` Blocks until the thread pool is `stopped`.

Method Detail

### dispatch

    boolean dispatch(java.lang.Runnable job)

### join

    void join()
              throws java.lang.InterruptedException

  Blocks until the thread pool is `stopped`.

  Throws:
    `java.lang.InterruptedException`

### getThreads

    int getThreads()

  Returns:
    The total number of threads currently in the pool

### getIdleThreads

    int getIdleThreads()

  Returns:
    The number of idle threads in the pool

### isLowOnThreads

    boolean isLowOnThreads()

  Returns:
    True if the pool is low on threads

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.